Compute an SLO instance summary at a point in time
https://{kibana_url}
- GET /s/{spaceId}/api/observability/slos/{sloId}/_snapshot
Compute the summary of an SLO at a given point in time. When instanceId is provided, returns that instance. When instanceId is omitted or set to '*', returns all matching instances (up to 1000). The endpoint is synchronous and returns results directly. You must have the read privileges for the SLOs feature in the Observability section of the Kibana feature privileges.
Query Parameters
-
atstringrequired The point in time at which to compute the SLO instance summary (ISO 8601 date-time)
-
instanceIdstring The SLO instance ID. Omit this parameter or set it to
'*'to return all instances for the SLO (up to 1000). Set a specific value (for examplehost.name:web-01) to return that instance only.
Responses
Successful response
-
atstringrequired -
The point in time at which the summaries were computed
-
resultsobjectrequired -
The per-instance computation results
-
errorobject -
Error information when the computation failed for this SLO instance. Present when the computation failed.
-
messagestringrequired -
The error message
-
statusCodenumberrequired -
The HTTP status code of the error
-
idstringrequired -
The SLO definition id
-
instanceIdstringrequired -
The SLO instance id. '*' represents the default (ungrouped) instance.
-
summaryobject -
The SLO instance summary at the requested point in time. Present when the computation succeeded.
-
errorBudgetobjectrequired -
goodnumberrequired -
The number of good events
-
sliValuenumberrequired nullable -
The SLI value at the requested point in time, or null when no data is available
-
totalnumberrequired -
The total number of events
Bad request
-
errorstringrequired -
messagestringrequired -
statusCodenumberrequired
Unauthorized response
-
errorstringrequired -
messagestringrequired -
statusCodenumberrequired
Forbidden response
-
errorstringrequired -
messagestringrequired -
statusCodenumberrequired
Not found response
-
errorstringrequired -
messagestringrequired -
statusCodenumberrequired